%set_verify_elf_method unresolved=relaxed
Name: kbfx
Version: 0.4.9.2rc4
Release: alt2

Summary: KBFX is an alternative to the classical K-Menu button and it's menu
Summary(ru_RU.UTF-8): Альтернативное меню KDE
License: GPL
Group: Graphical desktop/KDE
URL: http://www.kbfx.org/

Packager: Andrey Cherepanov <cas@altlinux.ru>

Source: %name-%version.tar.bz2
Patch0: %name.patch

BuildRequires: gcc-c++
BuildRequires: kdelibs-devel libqt3-devel libpng-devel libjpeg-devel

%description
KBFX is an alternative to the classical K-Menu button and it's menu.
It improves the user experience by enabling the user to set a bigger (and
thus more visible) start button and by finally replacing the Win95-like
K-Menu with the Spinx bar.
If you still want the old menu, because you're used to it, it is still
available as an option in kbfx.

%prep
%setup -q -n %name-%version
%patch0 -p1
subst "s/\.la/.so/g" ./configure

%build
%configure \
	--with-qt-libraries=%_libdir/qt3/lib
	
%make_build

%install
make DESTDIR=%buildroot install

%find_lang --with-kde kbfxconfigapp

%post
%update_menus
%postun
%clean_menus

%files -f kbfxconfigapp.lang
%doc AUTHORS COPYING ChangeLog HOWTO INSTALL KNOWN_BUGS LICENSE NEWS README THANKS TODO
%_bindir/*
%_libdir/*
%_datadir/applnk/.hidden/*
%_datadir/applnk/Utilities/*
%_datadir/apps/kbfx/*
%_datadir/apps/kbfxconfigapp/*
%_datadir/apps/kicker/applets/*.desktop
%_datadir/apps/konqueror/servicemenus/*.desktop
%_datadir/config.kcfg/*.kcfg
%_datadir/icons/*
%_datadir/mimelnk/*

%changelog
* Thu May 10 2007 Andrey Cherepanov <cas@altlinux.ru> 0.4.9.2rc4-alt2
- Fix build (update menus) 

* Mon May 07 2007 Andrey Cherepanov <cas@altlinux.ru> 0.4.9.2rc4-alt1
- Initial implementation
